package Msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /msg Msg GetMsgById
//
// Get msg by ID | 通过ID获取Msg
//
// Get msg by ID | 通过ID获取Msg
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: MsgInfoResp

func GetMsgByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Msg.NewGetMsgByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetMsgById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
